|  | Home · All Classes · Modules

# QDBusConnection.RegisterOptions Class Reference
[QtDBus module]

### Methods

- __init__ (self, RegisterOptions)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- RegisterOptions __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, RegisterOptions f)
- RegisterOptions __iand__ (self, int mask)
- int __int__ (self)
- RegisterOptions __invert__ (self)
- RegisterOptions __ior__ (self, RegisterOptions f)
- RegisterOptions __ixor__ (self, RegisterOptions f)
- bool __ne__ (self, RegisterOptions f)
- RegisterOptions __or__ (self, RegisterOptions f)
- RegisterOptions __or__ (self, int f)
- RegisterOptions __xor__ (self, RegisterOptions f)
- RegisterOptions __xor__ (self, int f)

## Detailed Description

## Method Documentation

### RegisterOptions.__init__ (self, RegisterOptions)

### RegisterOptions.__init__ (self, int)

### RegisterOptions.__init__ (self)

### RegisterOptions RegisterOptions.__and__ (self, int mask)

### int RegisterOptions.__bool__ (self)

### bool RegisterOptions.__eq__ (self, RegisterOptions f)

### RegisterOptions RegisterOptions.__iand__ (self, int mask)

### int RegisterOptions.__int__ (self)

### RegisterOptions RegisterOptions.__invert__ (self)

### RegisterOptions RegisterOptions.__ior__ (self, RegisterOptions f)

### RegisterOptions RegisterOptions.__ixor__ (self, RegisterOptions f)

### bool RegisterOptions.__ne__ (self, RegisterOptions f)

### RegisterOptions RegisterOptions.__or__ (self, RegisterOptions f)

### RegisterOptions RegisterOptions.__or__ (self, int f)

### RegisterOptions RegisterOptions.__xor__ (self, RegisterOptions f)

### RegisterOptions RegisterOptions.__xor__ (self, int f)